uses
    testlib, sysutils;

const
    maxn = 3000;

var
    i, j, n: longint;
    ja, pa: longint;
    a, f: array [1..maxn] of longint;

begin
    n := inf.readlongint;
    for i := 1 to n do begin
        a[i] := inf.readlongint;
    end;

    ja := ans.readlongint;
    pa := ouf.readlongint;
    if ja > pa then 
        quit(_wa, format('not optimal, expected: %d, found: %d', [ja, pa]));

    j := 1;
    for i := 1 to pa do begin
        f[i] := ouf.readlongint;
        while (j <= n) and (a[j] <> f[i]) do
            inc(j);
        if j > n then
            quit(_wa, 'not a subsequence');
        inc(j);
    end;
    for i := 3 to pa do
        if f[i] <> f[i - 1] + f[i - 2] then
            quit(_wa, 'not a fibonacci sequence');

    if pa > ja then
        quit(_fail, format('better than jury, expected: %d, found: %d', [ja, pa]));

    quit(_ok, format('%d of %d', [pa, n]));
end.